package legacymodel

import "time"

type StoreBill struct {
	Id        int       `orm:"column(id);auto" json:"id"`
	Date      time.Time `orm:"column(date);type(datetime)" json:"date"`
	Url       string    `orm:"column(url);size(255)" json:"url"`
	StoreId   int       `orm:"column(store_id)" json:"storeId"`
	BillName  string    `orm:"column(bill_name);size(30)" json:"billName"`
	ShopName  string    `orm:"size(30)" json:"shopName"`
	BillTitle string    `orm:"size(255)" json:"billTitle"`
}

func (t *StoreBill) TableName() string {
	return "store_bill"
}

func (*StoreBill) TableIndex() [][]string {
	return [][]string{
		[]string{"StoreId", "Date"},
	}
}
